// NeoPixel Ring simple sketch (c) 2013 Shae Erisson
// released under the GPLv3 license to match the rest of the AdaFruit NeoPixel library

#include <Adafruit_NeoPixel.h>
int nr=0;
int rod=0;
int gron=0;
int blo=0;

// "#define PIN" fortæller hvilken pin på arduinoen der er forbundet med Din på neopixel
#define PIN            8

// "#define NUMPIXELS" fortæller hvor mange neopixel dioder der er forbundet
#define NUMPIXELS      7

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

int delayval = 500; // delay for half a second

void setup() {
  pixels.begin();} // Denne linje gør neopixlene klar til at modtage data 
  
void loop() {
  // i en række af neopixels er den først 0, den anden 1, op til den sidste der har nummeret n-1.
//Metode 1
  for(int i=0;i<NUMPIXELS;i++){ //fra i=o til i= antal pixels, udfør følgende linier 
    // pixels.Color sætter RGB værdier, rød,grøn,blå  hver fra intensiteten 0-255
    // pixels.setPixelColor kan bruge (nummer diode og pixels.Color til at sætte farven på en diode
        pixels.setPixelColor(i, pixels.Color(5,0,0)); // Svagt grønt lys.
        pixels.show(); // This sends the updated pixel color to the hardware.
        delay(delayval);} // Delay for a period of time (in milliseconds).
//Metode 2
  for(int i=0;i<NUMPIXELS;i++){ //fra i=o til i= antal pixels, udfør følgende linier 
    // pixels.setPixelColor kan bruge (nummer diode, rød, grøn, blå)
    // Man kan anvende udregninger i parantesen her 5*i 
       pixels.setPixelColor(i,0,5*i,5); // den grønne farve bliver stærkere og stærkere.
       pixels.show(); // This sends the updated pixel color to the hardware.
       delay(delayval);}  // Delay for a period of time (in milliseconds).
//metode 3
    // Man kan farve alle dioder på en gang og sende dem samlet
    // her tændes nr 2 og 3 resten slukkes, husk der regnes fra 0 så de første 2 er off
       pixels.setPixelColor(0,0,0,0); // Neoplixel 0 er Slukket
       pixels.setPixelColor(1,0,0,0); // Neoplixel 1 er Slukket
       pixels.setPixelColor(2,5,0,0); // Neoplixel 2 er svag rød.
       pixels.setPixelColor(3,0,0,5); // Neoplixel 3 er Svag Blå.
       pixels.setPixelColor(4,0,0,0); // Neoplixel 1 er Slukket
       pixels.setPixelColor(5,0,0,0); // Neoplixel 1 er Slukket
       pixels.setPixelColor(6,0,0,0); // Neoplixel 1 er Slukket
       pixels.show(); // This sends the updated pixel color to the hardware.
       delay(7*delayval);  // Delay for a period of time (in milliseconds).
//Metode 4
    // Her anvendes en Funktion til at sætte farverne på Neoplixel's
    // Metoden anvendes på to Neoplixel's af gangen 
    // Her er først metode kaldet to gange, metoden er i slutningen af programmet 
    // Pixels(nr,Rød,Grøn,blå) hvor nummer er nummeret på den første diode
       Pio(0,0,0,10); // Neoplixel Nummer 0 og 1 er blå 
       delay(3*delayval);
       Pio(2,0,10,0); // Neoplixel Nummer 2 og 3 er Grønne 
       delay(3*delayval);
       Pio(4,10,0,0); // Neoplixel Nummer 4 og 5 er Røde
       delay(3*delayval);
   }
// procedurer pio for Metode 4
int Pio (int nr,int rod,int gron,int blo){
  for(int i=nr;i<nr+2;i++){ //fra i=o til i= antal pixels, udfør følgende linier 
       pixels.setPixelColor(i,rod,gron,blo); // nr og farver hentes fra kald
       pixels.show(); // Sender ordren ud til de aktuelle Neoplixel 
       }}  // Afslutter de to afsnit i funktionen
       
             
